org.apache.poi.hssf.usermodel

## Class HSSFAnchor

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFAnchor

- All Implemented Interfaces:
    ChildAnchor
  Direct Known Subclasses:
    HSSFChildAnchor, HSSFClientAnchor

      public abstract class HSSFAnchor
      extends java.lang.Object
      implements ChildAnchor

  An anchor is what specifics the position of a shape within a client object or within another containing shape.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_isHorizontallyFlipped`
    `protected boolean` | `_isVerticallyFlipped`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFAnchor()`
    `HSSFAnchor(int dx1, int dy1, int dx2, int dy2)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HSSFAnchor` | `createAnchorFromEscher(EscherContainerRecord container)`
    `protected abstract void` | `createEscherAnchor()`
    `protected abstract EscherRecord` | `getEscherAnchor()`
    `abstract boolean` | `isHorizontallyFlipped()`
    `abstract boolean` | `isVerticallyFlipped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.ChildAnchor

      `getDx1, getDx2, getDy1, getDy2, setDx1, setDx2, setDy1, setDy2`

- - ### Field Detail

    - #### _isHorizontallyFlipped

          protected boolean _isHorizontallyFlipped

    - #### _isVerticallyFlipped

          protected boolean _isVerticallyFlipped

  - ### Constructor Detail

    - #### HSSFAnchor

          public HSSFAnchor()

    - #### HSSFAnchor

          public HSSFAnchor(int dx1,
                            int dy1,
                            int dx2,
                            int dy2)

  - ### Method Detail

    - #### createAnchorFromEscher

          public static HSSFAnchor createAnchorFromEscher(EscherContainerRecord container)

    - #### isHorizontallyFlipped

          public abstract boolean isHorizontallyFlipped()

      Returns:
        whether this shape is horizontally flipped

    - #### isVerticallyFlipped

          public abstract boolean isVerticallyFlipped()

      Returns:
        whether this shape is vertically flipped

    - #### getEscherAnchor

          protected abstract EscherRecord getEscherAnchor()

    - #### createEscherAnchor

          protected abstract void createEscherAnchor()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.